Bug Hunting Session
Bug 87034 - FILEOPEN RTF: Superscripts are run together
Summary: FILEOPEN RTF: Superscripts are run together
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2014-12-05 14:00 UTC by Михаил
Modified: 2016-10-25 19:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Верхний - текств doc, нижний что получилочь после открытия (41.45 KB, application/vnd.oasis.opendocument.graphics)
2014-12-05 14:00 UTC, Михаил
Details
Bug Doc (1.09 MB, application/x-rar-compressed)
2014-12-06 09:48 UTC, Михаил
Details
Bug Doc (1.09 MB, application/x-rar-compressed)
2014-12-06 09:50 UTC, Михаил
Details
Fragment (136.38 KB, text/rtf)
2014-12-06 22:05 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Михаил 2014-12-05 14:00:41 UTC
Created attachment 110491 [details]
Верхний - текств doc, нижний что получилочь после открытия

В тексте doc файла есть верхние индексы(не сноски!!!). После открытия того же файла в swrite некоторые верхние индексы перносятся и "склеиваются" с другими!!!
Comment 1 Julien Nabet 2014-12-05 14:31:32 UTC
Please, describe the bug in English.
Comment 2 Михаил 2014-12-05 14:42:17 UTC
The text doc-file has superscripts (not footnotes !!!). After opening the same file in swrite some superscripts pernosyatsya and "glued" to the other !!
Comment 3 Urmas 2014-12-05 15:57:11 UTC
It is impossible to investigate without the document itself or its fragment showing this behavior.
Comment 4 Михаил 2014-12-05 16:07:15 UTC
Question
I have documents in Russian. I can provide them, pointing out where the bonding?
Send you?
Comment 5 Urmas 2014-12-05 16:41:25 UTC
Sure.
Comment 6 Михаил 2014-12-06 09:48:45 UTC
Created attachment 110502 [details]
Bug Doc

Couples phrases that are in the doc superscripts, and after opening in swrite indexes are glued in the second sentence
1 pair
выстрел был произведен
самым беспощадным образом
to doc indexes 1,2 , and gives swriter  , 12

2 pair
мне казалось, что это сон
погребут нас под собой
to doc indexes 3,4 , and gives swriter  , 34

3 pair
лучше, чем наши собственные
решению внешние силы
to doc indexes 5,6 , and gives swriter  , 56

pair
важнейшей частью земного шара
что это преумножает и их выгоду
to doc indexes 1,2 , and gives swriter  , 12

pair
ни в одном другом государстве
за то, что щедро даровал он мир
to doc indexes 4,5 , and gives swriter  , 45

pair
царящую в Англии египетскую тьму
этого воскресного покоя у тебя в избытке
to doc indexes 25,26 , and gives swriter  , 2526

and so on
Comment 7 Михаил 2014-12-06 09:50:37 UTC
Created attachment 110503 [details]
Bug Doc

Couples phrases that are in the doc superscripts, and after opening in swrite indexes are glued in the second sentence
1 pair
выстрел был произведен
самым беспощадным образом
to doc indexes 1,2 , and gives swriter  , 12

2 pair
мне казалось, что это сон
погребут нас под собой
to doc indexes 3,4 , and gives swriter  , 34

3 pair
лучше, чем наши собственные
решению внешние силы
to doc indexes 5,6 , and gives swriter  , 56

pair
важнейшей частью земного шара
что это преумножает и их выгоду
to doc indexes 1,2 , and gives swriter  , 12

pair
ни в одном другом государстве
за то, что щедро даровал он мир
to doc indexes 4,5 , and gives swriter  , 45

pair
царящую в Англии египетскую тьму
этого воскресного покоя у тебя в избытке
to doc indexes 25,26 , and gives swriter  , 2526

and so on
Comment 8 Михаил 2014-12-06 09:55:00 UTC
Link to test doc file
https://yadi.sk/d/sYmO7XQbdBrSj
Comment 9 Urmas 2014-12-06 22:05:49 UTC
Created attachment 110516 [details]
Fragment

A somewhat minimized doc showing the subscript '3' moved to '4'.
Comment 10 Михаил 2014-12-07 14:12:59 UTC
Comment on attachment 110516 [details]
Fragment

Yes I it is ! This is the bug I'm talking about!
Comment 11 Robinson Tryon (qubit) 2015-12-10 01:08:27 UTC Comment hidden (obsolete)
Comment 12 Commit Notification 2016-02-10 08:01:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93faf178195ca974747849879266783884ae27c5

tdf#87034 RTF import: fix multiple superscripts after footnote ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-03-09 10:03:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23498672666312dcda769567f818853ce7810a2e&h=libreoffice-5-1

tdf#87034 RTF import: fix multiple superscripts after footnote ...

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-03-09 16:23:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05ab13e44ab45953c4d4d18d8c9070698c041969&h=libreoffice-5-0

tdf#87034 RTF import: fix multiple superscripts after footnote ...

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.